<?xml version="1.0" encoding="UTF-8"?>
<!-- XSLT-шаблоны для печати, отправки на e-mail: наработка при сохранении в csv -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="text" encoding="UTF-8" indent="yes"/>

<xsl:template match="/data">
    "Отчет по балансу";
    "Контракт:";"<xsl:value-of select="@contractTitle"/>";"<xsl:value-of select="@comment"/>";
    "Период с: "<xsl:value-of select="@date1"/>;"по "<xsl:value-of select="@date2"/>;
    <xsl:call-template name="main"/>
</xsl:template>

<xsl:template name="main">
    "Месяц, год";"Услуга";"Сумма";
    <xsl:for-each select="/data/row">
        <xsl:value-of select="@date"/>;<xsl:value-of select="@serviceTitle"/>;<xsl:value-of select="@sum"></xsl:value-of>;
    </xsl:for-each>
</xsl:template>
</xsl:stylesheet>
